#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/xstatic-jquery.tablesorter.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build
	find . -type d -name __pycache__ -exec rm -r {} \+

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python3-xstatic-jquery.tablesorter/usr/lib/python3/dist-packages/xstatic/pkg/jquery_tablesorter/data/

override_dh_clean:
	dh_clean
	rm -rf build
